Accountant invoices
Endpoint url
This endpoint retrieves fuel wallet top-up invoices for an authorized customer within a given period.
GET /api/v1/accountants/<accountant_id>/get-invoices?start_date=<start_date>&end_date=<end_date>&customer_phone_number=<customer_phone_number>
Authentication
- Uses signature authentication
| Header | Description |
|---|---|
X-SIGNATURE | The signature header of the request |
See 2-security.md for information about how to create a valid signature.
Request Parameters:
| Parameter | Type | Description |
|---|---|---|
start_date | string | Start date in format YYYY-MM-DD |
end_date | string | End date in format YYYY-MM-DD |
customer_phone_number | string | Customer mobile number in international format (example: +212655112233) |
NB:
1 - access is allowed only when customer_phone_number is linked to the requested accountant in accountants_customers
2 - signed client_id must belong to the requested accountant_id
Sample Request:
https://app.kenzup.com/api/v1/accountants/<accountant_id>/get-invoices?start_date=2026-04-01&end_date=2026-04-30&customer_phone_number=%2B212655112233
Response
Status Code: 200
Returns a ZIP file (application/zip) containing invoice PDF files for matching fuel wallet top-up transactions.
Status Code: 403
Returned when signature/client/accountant mapping is invalid, or customer is not linked to accountant.